aboutsummaryrefslogtreecommitdiffstats
path: root/main/luasql-postgres/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
commitb70981b68efcce5256eb11c6cd26ae123b10b6ea (patch)
treea38be6efae5e2ba15c2e839504632f9b7bfd5f91 /main/luasql-postgres/APKBUILD
parent2b4df81538b8398442d5296650905c70341dd8d3 (diff)
downloadaports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.gz
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.bz2
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.xz
moved extra/* to main/
and fixed misc build issues
Diffstat (limited to 'main/luasql-postgres/APKBUILD')
-rw-r--r--main/luasql-postgres/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/luasql-postgres/APKBUILD b/main/luasql-postgres/APKBUILD
new file mode 100644
index 0000000000..36756ca657
--- /dev/null
+++ b/main/luasql-postgres/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer: Mika Havela <mika.havela@gmail.com>
+pkgname=luasql-postgres
+pkgver=2.1.1
+pkgrel=0
+pkgdesc="LuaSQL is a simple interface from Lua to a DBMS"
+url="http://www.keplerproject.org/luasql/"
+license="MIT"
+depends="lua"
+makedepends="lua-dev postgresql-dev"
+install=
+subpackages=
+source="http://luaforge.net/frs/download.php/2686/luasql-$pkgver.tar.gz
+ config.new
+ "
+
+build() {
+ cd "$srcdir/luasql-$pkgver"
+ cp "$srcdir/config.new" config
+
+ make || return 1
+ mkdir -p "$pkgdir"/usr/lib/lua/5.1/luasql
+ cp src/postgres.so "$pkgdir"/usr/lib/lua/5.1/luasql
+}
+
+md5sums="63bdd57de4b9d1be336ba112d8cb69eb luasql-2.1.1.tar.gz
+6ee28fa90394da6a7e38cf507d56ba80 config.new"